Reecall
Reecall API

automation_mapping


List all

GET
https://newprd.reecall.io/data_next
/automation/mappings/

List all › query Parameters

where
​string

JSON-encoded filter object

limit
​integer · min: 1

Max number of records to return

page
​integer · min: 1

Page number (1-based)

orderBy
​string

JSON-encoded sort definition

select
​string

Optional list of fields to select

search
​string · maxLength: 200

PostgreSQL regex pattern (~*) to search in configured fields

List all › Responses

Successful operation

mapperId
​string · required
projectId
​string · required
organizationId
​string · required
id
​string
name
​string
​object
sourceFileKey
​string
sourceFileName
​string
sourceFileSize
​number
columnsSnapshot
​string[]
rowCount
​number
failedCount
​number
allowPartial
​boolean
overrides
​string[]
​object
​object
createdAt
​string · date-time

Count all

GET
https://newprd.reecall.io/data_next
/automation/mappings/count

Count all › Responses

Successful operation

mapperId
​string · required
projectId
​string · required
organizationId
​string · required
id
​string
name
​string
​object
sourceFileKey
​string
sourceFileName
​string
sourceFileSize
​number
columnsSnapshot
​string[]
rowCount
​number
failedCount
​number
allowPartial
​boolean
overrides
​string[]
​object
​object
createdAt
​string · date-time

Retrieve one

GET
https://newprd.reecall.io/data_next
/automation/mappings/{id}

Retrieve one › path Parameters

id
​string · required

Retrieve one › query Parameters

select
​string

Optional list of fields to select

Retrieve one › Responses

Successful operation

mapperId
​string · required
projectId
​string · required
organizationId
​string · required
id
​string
name
​string
​object
sourceFileKey
​string
sourceFileName
​string
sourceFileSize
​number
columnsSnapshot
​string[]
rowCount
​number
failedCount
​number
allowPartial
​boolean
overrides
​string[]
​object
​object
createdAt
​string · date-time

Delete one

DELETE
https://newprd.reecall.io/data_next
/automation/mappings/{id}

Delete one › path Parameters

id
​string · required

Delete one › Responses

Successful operation

mapperId
​string · required
projectId
​string · required
organizationId
​string · required
id
​string
name
​string
​object
sourceFileKey
​string
sourceFileName
​string
sourceFileSize
​number
columnsSnapshot
​string[]
rowCount
​number
failedCount
​number
allowPartial
​boolean
overrides
​string[]
​object
​object
createdAt
​string · date-time

Get mapping output rows (successful rows only)

GET
https://newprd.reecall.io/data_next
/automation/mappings/{id}/data

Get mapping output rows (successful rows only) › path Parameters

id
​string · required

Get mapping output rows (successful rows only) › Responses

Successful operation

​object[]
​object[]
rowCount
​integer
failedCount
​integer
truncated
​boolean

Download mapping output as CSV, Excel (.xlsx) or JSON

GET
https://newprd.reecall.io/data_next
/automation/mappings/{id}/export

Download mapping output as CSV, Excel (.xlsx) or JSON › path Parameters

id
​string · required

Download mapping output as CSV, Excel (.xlsx) or JSON › query Parameters

format
​string · enum
Enum values:
csv
xlsx
json
Default: csv
includeFailed
​boolean
Default: false
delimiter
​string

Download mapping output as CSV, Excel (.xlsx) or JSON › Responses

File attachment

string